// Bluetooth test with Serial Monitor debugging
//
// 11/13/2021 Eric Compas, compase@uww.edu

// To see these "debugging" messages, open up the Serial Monitor in the Arduino IDE
// You'll find it under "Tools" menue and change the baud (bottom right) to 9600


// If you're using an Uno or the "old" Nano, uncomment these two lines
//#include <SoftwareSerial.h>
//SoftwareSerial Serial1(2,3);  //Using pin 2 for RX and pin 3 for TX -- connect your bluetooth to these two pins

// If you're using the Nano Every, connect the bluetooth board to the RX and TX pins


void setup() {
  // we'll use the "regular" serial port to send messages to the Arduino IDE's Serial Monitor 
  Serial.begin(9600);  // communicate to computer via USB

  // We'll use a 2nd serial port to receive messages from the bluetooth board
  // (uncomment one of the following lines depending on which board you're using)
  // Nano Every:
  Serial1.begin(9600); // communicate to bluetooth via RX,TX pins (for Nano Every)
  //Serial1.begin(9600); // communicate to bluetooth via pins 2,3 (for Uno or "old" Nano)
  Serial.println("Bluetooth test started"); // this will be sent to the Serial Monitor in the Arudio IDE
}

void loop() {
  char data;
  if(Serial1.available() > 0)   // Checks whether data is coming from the serial1 port
  {  
    data = Serial1.read();      // Reads the data from the serial port

    // Send acknowledgement of command to Serial Monitor on the PC 
    Serial.print("Bluetooth data received: "); 
    Serial.println(data);

    // Send acknowledgement of command back to the connected bluetooth device, e.g. your phone
    Serial1.print("Command received: ");
    Serial1.println(data);
   
  }
}
